API ReferenceapimembershipGET /v1/teams/invites/{code}

GET /v1/teams/invites/\{code\}

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • code (string) required

Responses

200 Pending team invite details

{
  "type": "object",
  "properties": {
    "code": {
      "type": "string"
    },
    "team": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "description": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "id",
        "name",
        "description"
      ]
    },
    "member_count": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "code",
    "team",
    "member_count"
  ]
}

404 Invite not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Unexpected error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/teams/invites/{code} \
  -H "Authorization: Bearer $ACCESS_TOKEN"